%define upstream_name    Dist-Zilla-Plugin-PkgVersion-Block
%define upstream_version 0.0200

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    PkgVersion for block packages
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

Provides:   perl(Dist::Zilla::Plugin::PkgVersion::Block)
BuildRequires: perl(Dist::Zilla::Role::FileFinderUser) >= 5.0.0
BuildRequires: perl(Dist::Zilla::Role::FileMunger) >= 5.0.0
BuildRequires: perl(Dist::Zilla::Role::PPI) >= 5.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Moose) >= 2.0.0
BuildRequires: perl(MooseX::Types::Perl)
BuildRequires: perl(PPI) >= 1.215.0
BuildRequires: perl(Test::DZil) >= 5.0.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(autodie) >= 2.0.0
BuildRequires: perl(namespace::autoclean) >= 0.220.0
BuildArch:  noarch

%description
This plugin turns:

    package My::Package {
        ...
    }

into:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.20.0-4.mga9
+ Revision: 1818786
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-3.mga8
+ Revision: 1504114
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.20.0-2.mga7
+ Revision: 1283163
- Mageia 7 Mass Rebuild

* Mon Aug 27 2018 tv <tv> 0.20.0-1.mga7
+ Revision: 1254846
- update to 0.0200

* Sun Jun 19 2016 pterjan <pterjan> 0.10.700-3.mga6
+ Revision: 1026488
- Rebuild for perl 5.22.2

* Sat Apr 09 2016 shlomif <shlomif> 0.10.700-2.mga6
+ Revision: 999846
- Add provides

* Sat Apr 09 2016 shlomif <shlomif> 0.10.700-1.mga6
+ Revision: 999585
- Add missing BR
- imported package perl-Dist-Zilla-Plugin-PkgVersion-Block


* Sat Apr 09 2016 cpan2dist 0.0107-1mga
- initial mageia release, generated with cpan2dist
